This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 818697 - (PM-147, PRODMGT-147) [RFE] Schedule an operation using cron expression via JBoss ON CLI
[RFE] Schedule an operation using cron expression via JBoss ON CLI
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Operations (Show other bugs)
JON 3.0.1
All All
high Severity medium
: CR01
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 849768
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 14:40 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849768 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-147 Major Closed Schedule an operation using cron expression via JBoss ON CLI 2016-04-13 11:24 EDT
Red Hat Knowledge Base (Solution) 120763 None None None Never

  None (edit)
Description Charles Crouch 2012-05-03 14:40:34 EDT
Details are in https://issues.jboss.org/browse/PRODMGT-147, which should be read to understand the complete usecase.

The short story is we need a way to let someone specify a cron string, e.g. "0 0 12 * * ?" when scheduling an operation via the CLI, e.g. update OperationManagerRemote to add support for this feature.

Its already possible to do this via the UI.
Comment 1 Charles Crouch 2012-05-03 14:41:46 EDT
Targeting at JON3.2
Comment 2 Jirka Kremser 2013-01-25 11:47:11 EST
fixed in master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=48e2ecc14

time:    Fri Jan 25 16:54:14 2013 +0100
commit:  48e2ecc14bd7d70b6b02909c9ef0149c24eac2bd
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ [RFE] Schedule an operation using cron expression via JBoss ON CLI] Methods scheduleResourceOperationUsingCron() and scheduleGroupOperationUsingCron() have been added to the OperationManager.


Moving status to MODIFIED
Comment 3 Jirka Kremser 2013-02-08 10:09:28 EST
As discussed during today's hangout, bugs with 3.2.0 release should go to ON_QA, so I am moving it to ON_QA.
Comment 5 Mike Foley 2013-09-13 13:49:40 EDT
QE verified

https://engineering.redhat.com/trac/jon/ticket/583

Note You need to log in before you can comment on or make changes to this bug.